<html><body style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; "><div>Do you have bison installed? </div><div>Look closely at your config.log for errors. </div><div><div><br></div><div>It looks like when when bison is not available, configure reverts back to lex/yacc from flex/bison, and therefore uses an insufficient lex version.</div><div><br></div><div>-Leon</div><div><br></div><div><div style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; "><div style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; "><span class="Apple-style-span" style="font-family: Helvetica; "><div style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; "><div><span class="Apple-style-span" style="font-family: 'Courier New'; ">Leon Ward Security Engineer EMEA</span></div></div></span></div><div>Sourcefire, West Forest Gate, Wellington Road</div><div>Wokingham, UK, RG40 2AQ </div><div><br></div></div></div><div><div><div>On 7 Jul 2008, at 21:54, Earl wrote:</div><br class="Apple-interchange-newline"><blockquote type="cite"><div>Not having "%name-devel" does create similar problems (iptables-<br>devel, pcre-devel for example) but I don't believe flex-devel <br>exists; at least not in CentOS 5.x.<br><br>I don't have flex-devel installed on my current CentOS box (even if <br>it does exist) and snortsp compiles fine.<br><br>Additionally, 'flex -V' returns: "flex version 2.5.4"<br><br>Perhaps it is an "evil" flex earlier in the ${PATH} which the 'flex <br>-V' test Russ suggests should expose.<br><br><br>Earl<br><br><br>On Mon, 07 Jul 2008 09:45:45 -0400 Russ Combs <br><<a href="mailto:rcombs@...402...">rcombs@...402...</a>> wrote:<br><blockquote type="cite">What do you get when you execute `flex -V`?<br></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite">If flex is in your PATH you should see something like<br></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite">"flex version 2.5.4".<br></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite">If you are still having problems, please send your config.log.<br></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite">Russ<br></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite">On Fri, 2008-07-04 at 23:07 -0700, mehdi gholami wrote:<br></blockquote><blockquote type="cite"><blockquote type="cite">Tanx,<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">I think installing/removing  Snort family tools at many times <br></blockquote></blockquote><blockquote type="cite">make<br></blockquote><blockquote type="cite"><blockquote type="cite">that error? Also I installed flex perfect by yum, but my snortSP <br></blockquote></blockquote><blockquote type="cite">does<br></blockquote><blockquote type="cite"><blockquote type="cite">n ./config ?<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">can anybody helps me?<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">--- On Sat, 7/5/08, Earl <<a href="mailto:esammons@...2980....">esammons@...2799...</a>> wrote:<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        From: Earl <<a href="mailto:esammons@...2799...">esammons@...1067...2799...</a>><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        Subject: Re: [Snort-devel] snort 3 error in config<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        To: <a href="mailto:snort-devel@lists.sourceforge.net">snort-devel@lists.sourceforge.net</a><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        Date: Saturday, July 5, 2008, 9:50 AM<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        Not seeing this on my CentOS (5.2/current) box.  Builds <br></blockquote></blockquote><blockquote type="cite">fine but <br></blockquote><blockquote type="cite"><blockquote type="cite">        untested.<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        $rpm -q flex<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        flex-2.5.4a-41.fc6<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        Earl<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        On Sat, 05 Jul 2008 00:19:27 -0400 mehdi gholami <br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        <<a href="mailto:mehdy_gholami@...2981...98...">mehdy_gholami@...398...</a>> wrote:<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">Hi all,<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">I hav run and installed snort many times til now, but<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">         I can not <br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">config snortSP 3 since it has released.<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">Also please note I intsall all requeirments in my <br></blockquote></blockquote></blockquote><blockquote type="cite">CentOS 5, my <br></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">error rsume is below:<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">snortsp-3.0.0.b]# ./configure<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">............<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">............<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">checking for pcap_datalink in -lpcap... yes<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">checking for luaL_newstate in -llua... yes<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">checking for capable lex... insufficient<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">configure: error: Your operating system's lex is <br></blockquote></blockquote></blockquote><blockquote type="cite">insufficient to <br></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">compile<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">       libsbpf.  flex is a lex replacement that has <br></blockquote></blockquote></blockquote><blockquote type="cite">many <br></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">advantages,<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">       including being able to compile libsbpf.  For <br></blockquote></blockquote></blockquote><blockquote type="cite">more<br></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">       information, see <br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><a href="http://www.gnu.org/software/flex/flex.html">http://www.gnu.org/software/flex/flex.html</a> .<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">Please note I have installed flex manually or by yum <br></blockquote></blockquote></blockquote><blockquote type="cite">tool, but it <br></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">does not work? I remmember that I had this error before <br></blockquote></blockquote></blockquote><blockquote type="cite">when I <br></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">wanted to installed snort-inline, that time I installed <br></blockquote></blockquote></blockquote><blockquote type="cite">flex by <br></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">yum tool<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">         and continue my job.<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">?<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        ---------------------------------------------------------<br></blockquote></blockquote><blockquote type="cite">----------------<br></blockquote><blockquote type="cite"><blockquote type="cite">        Sponsored by: SourceForge.net Community Choice Awards: <br></blockquote></blockquote><blockquote type="cite">VOTE NOW!<br></blockquote><blockquote type="cite"><blockquote type="cite">        Studies have shown that voting for your favorite open <br></blockquote></blockquote><blockquote type="cite">source project,<br></blockquote><blockquote type="cite"><blockquote type="cite">        along with a healthy diet, reduces your potential for <br></blockquote></blockquote><blockquote type="cite">chronic lameness<br></blockquote><blockquote type="cite"><blockquote type="cite">        and boredom. Vote Now at <br></blockquote></blockquote><blockquote type="cite"><a href="http://www.sourceforge.net/community/cca08">http://www.sourceforge.net/community/cca08</a><br></blockquote><blockquote type="cite"><blockquote type="cite">        _______________________________________________<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        Snort-devel mailing list<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        <a href="mailto:Snort-devel@lists.sourceforge.net">Snort-devel@lists.sourceforge.net</a><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">        <a href="https://lists.sourceforge.net/lists/listinfo/snort-devel">https://lists.sourceforge.net/lists/listinfo/snort-devel</a><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">-----------------------------------------------------------------<br></blockquote></blockquote><blockquote type="cite">--------<br></blockquote><blockquote type="cite"><blockquote type="cite">Sponsored by: SourceForge.net Community Choice Awards: VOTE NOW!<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">Studies have shown that voting for your favorite open source <br></blockquote></blockquote><blockquote type="cite">project,<br></blockquote><blockquote type="cite"><blockquote type="cite">along with a healthy diet, reduces your potential for chronic <br></blockquote></blockquote><blockquote type="cite">lameness<br></blockquote><blockquote type="cite"><blockquote type="cite">and boredom. Vote Now at <br></blockquote></blockquote><blockquote type="cite"><a href="http://www.sourceforge.net/community/cca08">http://www.sourceforge.net/community/cca08</a><br></blockquote><blockquote type="cite"><blockquote type="cite">_______________________________________________ Snort-devel <br></blockquote></blockquote><blockquote type="cite">mailing list <a href="mailto:Snort-devel@lists.sourceforge.net">Snort-devel@...362....net</a> <br></blockquote><blockquote type="cite"><a href="https://lists.sourceforge.net/lists/listinfo/snort-devel">https://lists.sourceforge.net/lists/listinfo/snort-devel</a><br></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite">-------------------------------------------------------------------<br></blockquote><blockquote type="cite">------<br></blockquote><blockquote type="cite">Sponsored by: SourceForge.net Community Choice Awards: VOTE NOW!<br></blockquote><blockquote type="cite">Studies have shown that voting for your favorite open source <br></blockquote><blockquote type="cite">project,<br></blockquote><blockquote type="cite">along with a healthy diet, reduces your potential for chronic <br></blockquote><blockquote type="cite">lameness<br></blockquote><blockquote type="cite">and boredom. Vote Now at <br></blockquote><blockquote type="cite"><a href="http://www.sourceforge.net/community/cca08">http://www.sourceforge.net/community/cca08</a><br></blockquote><blockquote type="cite">_______________________________________________<br></blockquote><blockquote type="cite">Snort-devel mailing list<br></blockquote><blockquote type="cite"><a href="mailto:Snort-devel@lists.sourceforge.net">Snort-devel@lists.sourceforge.net</a><br></blockquote><blockquote type="cite"><a href="https://lists.sourceforge.net/lists/listinfo/snort-devel">https://lists.sourceforge.net/lists/listinfo/snort-devel</a><br></blockquote><br><br>-------------------------------------------------------------------------<br>Sponsored by: SourceForge.net Community Choice Awards: VOTE NOW!<br>Studies have shown that voting for your favorite open source project,<br>along with a healthy diet, reduces your potential for chronic lameness<br>and boredom. Vote Now at <a href="http://www.sourceforge.net/community/cca08">http://www.sourceforge.net/community/cca08</a><br>_______________________________________________<br>Snort-devel mailing list<br><a href="mailto:Snort-devel@lists.sourceforge.net">Snort-devel@lists.sourceforge.net</a><br>https://lists.sourceforge.net/lists/listinfo/snort-devel<br><br></div></blockquote></div><br></div></div></body></html>